local addon = PvPTimer

local spells = {
	-- Time Warp
	[80353] = {
		class = 'MAGE',
		duration = 40,
		cooldown = 300,
		type = 'offensive',
	},
	-- Icy Veins
	[12472] = {
		class = 'MAGE',
		spec = 3,
		duration = 20,
		cooldown = 144, -- 180 - 20%
		type = 'offensive',
	},
	-- Mirror Image
	[55342] = {
		class = 'MAGE',
		duration = 30,
		cooldown = 180,
		type = 'offensive',
	},
	-- Arcane Power
	[12042] = {
		class = 'MAGE',
		spec = 1,
		duration = 15,
		cooldown = 90, -- 120 - 25%
		type = 'offensive',
	},
	-- Combustion
	[11129] = {
		class = 'MAGE',
		spec = 2,
		cooldown = 120,
		type = 'offensive',
	},
	-- Presence of Mind
	[12043] = {
		class = 'MAGE',
		spec = 1,
		cooldown = 90, -- 120 - 25%
		type = 'offensive',
	},
	-- Invisibility
	[66] = {
		class = 'MAGE',
		duration = 23, -- 20 duration + 3 sec fade time
		cooldown = 180,
		cooldown_s1 = -45, -- 180 - 25%
		type = 'defensive',
	},
	-- Evocation
	[12051] = {
		class = 'MAGE',
		duration = 6,
		cooldown = 240,
		cooldown_s1 = -60, -- 240 - 25%
		type = 'defensive',
	},
	-- Ice Block
	[45438] = {
		class = 'MAGE',
		spec = 3,
		duration = 10,
		cooldown = 240, -- 300 - 20%
		resets = {
			122,
		},
		type = 'defensive',
	},
	-- Mage Ward
	[543] = {
		class = 'MAGE',
		duration = 30,
		cooldown = 30,
		type = 'defensive',
	},
	-- Ice Barrier
	[11426] = {
		class = 'MAGE',
		spec = 3,
		duration = 60,
		cooldown = 24, -- 30 - 20%
		type = 'defensive',
	},
	-- Mana Shield
	[1463] = {
		duration = 60,
		cooldown = 12,
		class = 'MAGE',
		type = 'defensive',
	},
	-- Counterspell
	[2139] = {
		class = 'MAGE',
		cooldown = 24,
		type = 'interrupt',
	},
	-- Cold Snap
	[11958] = {
		class = 'MAGE',
		spec = 3,
		cooldown = 384, -- 480 - 20%
		resets = {
			12472,
			44572,
			45438,
			11426,
			31687,
			82676,
			122,
			120,
		},
		type = 'misc',
	},
	-- Deep Freeze
	[44572] = {
		class = 'MAGE',
		spec = 3,
		duration = 5,
		cooldown = 30,
		type = 'cc',
	},
	-- Dragon's Breath
	[31661] = {
		class = 'MAGE',
		spec = 2,
		cooldown = 20,
		cooldown_g = -3,
		type = 'cc'
	},
	-- Summon Water Elemental
	[31687] = {
		class = 'MAGE',
		spec = 3,
		cooldown = 180,
		type = 'misc',
	},
	-- Ring of Frost
	[82676] = {
		class = 'MAGE',
		duration = 12,
		cooldown = 120,
		type = 'cc',
	},
	-- Blink
	[1953] = {
		class = 'MAGE',
		cooldown = 15,
		type = 'misc',
	},
	-- Frost Nova
	[122] = {
		class = 'MAGE',
		cooldown = 25,
		cooldown_s3 = -5, -- 25 - 20%
		type = 'root'
	},
	-- Blast Wave
	[11113] = {
		class = 'MAGE',
		spec = 2,
		duration = 3,
		duration_g = 1,
		cooldown = 15,
		type = 'root',
	},
	-- Cone of Cold
	[120] = {
		class = 'MAGE',
		cooldown = 8, -- 10 - 20%
		type = 'root',
	},
	-- Freeze (Water Elemental)
	[33395] = {
		class = 'MAGE',
		cooldown = 25,
		type = 'root',
	},
}

local spec = {
	-- Arcane Barrage
	[44425] = 1,
	-- Pyroblast
	[11366] = 2,
	-- Slow
	[31589] = 1,
	-- Focus Magic
	[54646] = 1,
	-- Living Bomb
	[44457] = 2,
}

local hs = addon.Spells
for k, v in pairs(spells) do hs[k] = v end

local ss = addon.SpecSpells
for k, v in pairs(spec) do ss[k] = v end
